? work
Index: Makefile
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/Makefile,v
retrieving revision 1.29
diff -u -r1.29 Makefile
--- Makefile	12 Mar 2010 13:19:49 -0000	1.29
+++ Makefile	15 Mar 2010 16:50:14 -0000
@@ -2,7 +2,6 @@
 
 DISTNAME=	courier-${COURIER_VERSION}
 PKGNAME=	${DISTNAME:S/-/-mta-/}
-PKGREVISION=	2
 CATEGORIES=	mail
 MASTER_SITES=	${MASTER_SITE_SOURCEFORGE:=courier/}
 EXTRACT_SUFX=	.tar.bz2
@@ -15,7 +14,7 @@
 
 DEPENDS+=	courier-maildir>=${COURIER_VERSION}:../../mail/courier-maildir
 DEPENDS+=	couriertcpd>=${COURIER_VERSION}:../../net/couriertcpd
-DEPENDS+=	maildrop>=2.0.4nb3:../../mail/maildrop
+DEPENDS+=	maildrop>=2.4.2:../../mail/maildrop
 
 PKG_DESTDIR_SUPPORT=	user-destdir
 USE_TOOLS+=		gmake perl:run
@@ -45,7 +44,6 @@
 CONFIGURE_ARGS+=	--with-paranoid-smtpext
 CONFIGURE_ARGS+=	--with-piddir=${COURIER_STATEDIR:Q}/tmp
 CONFIGURE_ARGS+=	--with-transport=${COURIER_TRANSPORTS:M*:Q}
-CONFIGURE_ARGS+=	--without-certdb
 
 # This argument is actually here just to make the "webmail" configure
 # script work.  The value is not actually used since in reality, we are
Index: Makefile.common
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/Makefile.common,v
retrieving revision 1.10
diff -u -r1.10 Makefile.common
--- Makefile.common	19 May 2009 08:59:20 -0000	1.10
+++ Makefile.common	15 Mar 2010 16:50:14 -0000
@@ -1,6 +1,6 @@
 # $NetBSD: Makefile.common,v 1.10 2009/05/19 08:59:20 wiz Exp $
 
-COURIER_VERSION=	0.58.0
+COURIER_VERSION=	0.64.1
 LICENSE=		gnu-gpl-v3
 
 .include "../../mk/bsd.prefs.mk"
Index: distinfo
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/distinfo,v
retrieving revision 1.12
diff -u -r1.12 distinfo
--- distinfo	9 Jan 2010 22:16:20 -0000	1.12
+++ distinfo	15 Mar 2010 16:50:14 -0000
@@ -1,20 +1,19 @@
 $NetBSD: distinfo,v 1.12 2010/01/09 22:16:20 heinz Exp $
 
-SHA1 (courier-0.58.0.tar.bz2) = 964d81e6de5390678c9f10dddbc176273b925f6d
-RMD160 (courier-0.58.0.tar.bz2) = 940fb7967d154aeeb462691beb508155b3df4e29
-Size (courier-0.58.0.tar.bz2) = 7123136 bytes
-SHA1 (patch-aa) = 3f5465bd153d51f1dd6ed2f7849c098957afec2e
-SHA1 (patch-ab) = 133f2b48bdff76568b89e51908734a7e29cf9e03
-SHA1 (patch-ac) = 3db182c84827d53af35ea45b7296b98ecf0579d8
-SHA1 (patch-ad) = faa1d2f21f55550efa631c25435fefee5b235bf2
-SHA1 (patch-ae) = e52ab2f6a4e253dc4a28291db6744ea2593f2fc3
-SHA1 (patch-af) = a3bcc672fc05e05497d7408c1a96ad52226aee01
-SHA1 (patch-ag) = 1bedd756d9932365896da82704941cdbc06e1dfd
-SHA1 (patch-ah) = 78e0db8d5319d985d7e8aec4c1240561fead3a00
-SHA1 (patch-ai) = 1337870d95bb46882980553ffba6ec6956bc9147
-SHA1 (patch-aj) = cf666ac5c05e9fb5aef9c23d534edefa745ab547
-SHA1 (patch-al) = 1c7935b46b7affafa86e4a858ba6a79b7fbebbc5
-SHA1 (patch-an) = 1c78baf7fc393b013c47745b914571aff94f1497
-SHA1 (patch-ax) = ed01509d1868b92e80ec98e320ac285345584e31
-SHA1 (patch-ay) = 499f46a7116da4f7adfa6e7c2d7e4e4856174a9f
-SHA1 (patch-az) = fbe1667536989486e62ecdb50a74cb3c38e3fb0d
+SHA1 (courier-0.64.1.tar.bz2) = c8b81a2deb87ce07c74033fae807a498e4958e52
+RMD160 (courier-0.64.1.tar.bz2) = f7a0733ab2c4f8e0743bbe8b0fb4c44a5d75ceec
+Size (courier-0.64.1.tar.bz2) = 7131375 bytes
+SHA1 (patch-aa) = 2b1c2ac86bbc8486856d6c49a69fa77fe91c5f1e
+SHA1 (patch-ab) = 1a48bece146e8149b78d8da8d8c65a27a7c3cd93
+SHA1 (patch-ac) = e15ef04e1a55b085f0781fdd2b2ef30c66ccd3d5
+SHA1 (patch-ad) = 2147dfac7b8e5243ea1ae286e9377352ae4323cd
+SHA1 (patch-ae) = 73603c88ed3e69a9b12ec3c0fd9a2ca2f4777752
+SHA1 (patch-af) = 863b7af8c063bc3a3ba50dee587f14c38aa49134
+SHA1 (patch-ag) = db79cea2e42067832abb152d861c9c0e079d3d82
+SHA1 (patch-ah) = 3b53d220e1eabf5a5132d6e9be8425d96cbd0ee0
+SHA1 (patch-ai) = a745bdde788449754442b1abdecdcf097c3ccb07
+SHA1 (patch-aj) = b6f542395105a327de489cdfdbf58315bd58cc7d
+SHA1 (patch-al) = cabe31c18324299b9e8f54186b7ec61b6c5fe4b4
+SHA1 (patch-an) = e5cbab7ff59f9054d29318f964647dcffcab46c4
+SHA1 (patch-ax) = 50280a5ea7471460a35525e4eee967b8700ab518
+SHA1 (patch-ay) = 2878d08d9b2beef6c83fe34686f7a7ed9e1c2fdb
Index: patches/patch-aa
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-aa,v
retrieving revision 1.5
diff -u -r1.5 patch-aa
--- patches/patch-aa	19 Feb 2008 18:45:24 -0000	1.5
+++ patches/patch-aa	15 Mar 2010 16:50:14 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-aa,v 1.5 2008/02/19 18:45:24 jlam Exp $
 
---- courier/Makefile.in.orig	2007-11-23 22:26:43.000000000 -0500
-+++ courier/Makefile.in
-@@ -46,16 +46,16 @@ build_triplet = @build@
+--- courier/Makefile.in.orig	2010-01-09 21:17:16.000000000 +0000
++++ courier/Makefile.in	2010-03-15 13:23:24.000000000 +0000
+@@ -47,16 +47,16 @@
  host_triplet = @host@
  target_triplet = @target@
  pkglibexec_PROGRAMS = aliasexp$(EXEEXT) aliascombine$(EXEEXT) \
@@ -24,16 +24,15 @@
  	@EXTRASBIN@ $(am__empty)
  cmdlib_PROGRAMS = submitmkdir$(EXEEXT) courierd$(EXEEXT) @EXTRACMDLIB@
  subdir = .
-@@ -433,7 +433,7 @@ BUILT_SOURCES = prefix.h exec_prefix.h s
+@@ -477,29 +477,26 @@
  	uidgid.h configargs.h sort.h webmlmdhandlerslist.H
  RFCERRTXTIN = rfcerrheader.txt
  RFCERRTXTNOIN = rfcerr2045.txt rfcerr2046.txt rfcerr2047.txt
 -extrapkglib = makedatprog courierpop3login pcpd
 +extrapkglib = 
- pkglibexecdir = $(libexecdir)/courier
  webmaildir = $(libexecdir)/courier/webmail
  webmail_SOURCES = 
-@@ -441,22 +441,19 @@ sqwebmaild_SOURCES = 
+ sqwebmaild_SOURCES = 
  
  # Don't forget to change perms.sh.in, if webmailimagedir moves.
  webmailimagedir = $(datadir)/sqwebmail/images
@@ -62,7 +61,7 @@
  
  mlmdatadir = $(datadir)/couriermlm
  mlmdata_DATA = \
-@@ -512,7 +509,7 @@ mlmdata_DATA = \
+@@ -555,7 +552,7 @@
  	webmlmsublist.tmpl.html \
  	webmlm.tmpl.html
  
@@ -71,7 +70,7 @@
  cmdlibdir = @libexecdir@/courier
  
  # Subdirectories
-@@ -1673,6 +1670,12 @@ couriertls$(EXEEXT): ../tcpd/couriertls$
+@@ -1896,6 +1893,12 @@
  courierpop3login$(EXEEXT): ../imap/pop3login$(EXEEXT)
  	cp -f ../imap/pop3login$(EXEEXT) courierpop3login$(EXEEXT)
  
@@ -84,7 +83,7 @@
  sort.h:
  	echo '#define SORT "$(SORT)"' >sort.h
  
-@@ -1828,39 +1831,21 @@ dist-hook:
+@@ -2051,39 +2054,21 @@
  
  install-exec-hook:
  	for d in $(bindir) $(sbindir) $(libexecdir) $(libexecdir)/courier \
@@ -126,7 +125,7 @@
  	test -f $(DESTDIR)$(sysconfdir)/enablefiltering && exit 0; \
  		echo esmtp >$(DESTDIR)$(sysconfdir)/enablefiltering
  	test -f $(DESTDIR)$(sysconfdir)/aliases/system && exit 0; \
-@@ -1872,10 +1857,6 @@ install-data-hook:
+@@ -2095,10 +2080,6 @@
  	rm -f $(DESTDIR)$(bindir)/rmail
  	$(LN_S) sendmail $(DESTDIR)$(bindir)/rmail
  	-$(mkinstalldirs) $(DESTDIR)@mandir@/man8
Index: patches/patch-ab
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-ab,v
retrieving revision 1.5
diff -u -r1.5 patch-ab
--- patches/patch-ab	9 Jan 2010 22:16:20 -0000	1.5
+++ patches/patch-ab	15 Mar 2010 16:50:14 -0000
@@ -1,21 +1,8 @@
 $NetBSD: patch-ab,v 1.5 2010/01/09 22:16:20 heinz Exp $
 
-  first hunk: make option "--without-ldapaliasd" work (see patch-az)
-
---- courier/configure.orig	2007-11-24 03:26:42.000000000 +0000
-+++ courier/configure
-@@ -21071,7 +21071,9 @@ LIBS="$saveLIBS"
- 
- # Check whether --with-ldapaliasd was given.
- if test "${with_ldapaliasd+set}" = set; then
--  withval=$with_ldapaliasd; ldapaliasd="$withval"; ldapaliasd="yes"
-+  withval=$with_ldapaliasd; ldapaliasd="$withval"
-+else
-+  ldapaliasd="yes"
- fi
- 
- 
-@@ -22366,9 +22368,9 @@ done
+--- courier/configure.orig	2010-01-09 21:15:30.000000000 +0000
++++ courier/configure	2010-03-15 13:25:54.000000000 +0000
+@@ -18398,9 +18398,9 @@
  
  if test "$testmode" = "0"
  then
Index: patches/patch-ac
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-ac,v
retrieving revision 1.5
diff -u -r1.5 patch-ac
--- patches/patch-ac	19 Feb 2008 18:45:24 -0000	1.5
+++ patches/patch-ac	15 Mar 2010 16:50:14 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-ac,v 1.5 2008/02/19 18:45:24 jlam Exp $
 
---- courier/doc/Makefile.in.orig	2007-11-17 19:48:53.000000000 -0500
-+++ courier/doc/Makefile.in
-@@ -151,7 +151,7 @@ top_srcdir = @top_srcdir@
+--- courier/doc/Makefile.in.orig	2010-01-09 21:17:18.000000000 +0000
++++ courier/doc/Makefile.in	2010-03-15 13:22:49.000000000 +0000
+@@ -169,7 +169,7 @@
  version = @version@
  htmldocdir = @datadir@/htmldoc
  CLEANFILES = permissions.dat
@@ -11,7 +11,7 @@
  		draft-varshavchik-exdata-smtpext.txt \
  		draft-varshavchik-verp-smtpext.txt \
  		draft-varshavchik-security-smtpext.txt \
-@@ -189,66 +189,38 @@ htmlin = \
+@@ -207,67 +207,38 @@
  		courier.html \
  		courierldapaliasd.html \
  		couriermlm.html \
@@ -63,7 +63,8 @@
 -man1 = sendmail.1 preline.1 maildirmake.1 cancelmsg.1 lockmail.1 maildrop.1 \
 -	mailq.1 mailbot.1 makemime.1 mimegpg.1 maildiracl.1 \
 -	makedat.1 reformail.1 reformime.1 couriermlm.1 testmxlookup.1 \
--	dot-forward.1 couriertls.1 couriertcpd.1 maildirkw.1 webmlmd.1
+-	dot-forward.1 couriertls.1 couriertcpd.1 maildirkw.1 \
+-	webmlmd.1
 -
 -man5 = dot-courier.5 maildir.5
 -man7 = localmailfilter.7 maildirquota.7 maildropgdbm.7 maildropfilter.7 \
@@ -83,21 +84,21 @@
 -	mkesmtpdcert.8 mkimapdcert.8 mkpop3dcert.8 \
 +	mkesmtpdcert.8 \
  	makealiases.8 makepercentrelay.8 makesmtpaccess.8 \
--	pop3d.8 submit.8 imapd.8
+-	pop3d.8 pop3d-ssl.8 submit.8 imapd.8
 +	submit.8
  
  BUILT_SOURCES = \
  	aliaslookup.html aliaslookup.8 \
-@@ -275,7 +247,7 @@ BUILT_SOURCES = \
+@@ -294,7 +265,7 @@
  	webmlmd.html.in webmlmd.1.in
  
- EXTRA_DIST = $(nohtmlin) $(BUILT_SOURCES)
+ EXTRA_DIST = $(nohtmlin) $(BUILT_SOURCES) dotforward.1 pop3d-ssl.8
 -man_LINKS = $(man8dir)/courierpop3login.8 \
 +man_LINKS = \
  	$(man1dir)/rmail.1 $(man1dir)/dotforward.1 \
  	$(man8dir)/makesmtpaccess-msa.8 \
  	$(man8dir)/esmtpd-msa.8
-@@ -1156,8 +1128,7 @@ preline.1: preline.1.in
+@@ -1215,8 +1186,7 @@
  
  install-man-extra:
  	cd $(DESTDIR)$(man8dir) ; \
Index: patches/patch-ad
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-ad,v
retrieving revision 1.4
diff -u -r1.4 patch-ad
--- patches/patch-ad	19 Feb 2008 18:45:24 -0000	1.4
+++ patches/patch-ad	15 Mar 2010 16:50:14 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-ad,v 1.4 2008/02/19 18:45:24 jlam Exp $
 
---- courier/filters/Makefile.in.orig	2007-11-17 19:49:01.000000000 -0500
-+++ courier/filters/Makefile.in
-@@ -236,11 +236,12 @@ SUBDIRS = libfilter perlfilter
+--- courier/filters/Makefile.in.orig	2010-01-09 21:17:24.000000000 +0000
++++ courier/filters/Makefile.in	2010-03-15 13:18:07.000000000 +0000
+@@ -283,11 +283,12 @@
  CLEANFILES = $(htmldoc_DATA) $(man_MANS) filtersocketdir.h filteractivedir.h \
  	pidfile.h permissions.dat
  
@@ -16,7 +16,7 @@
  filtersocketdir = $(localstatedir)/filters
  allfiltersocketdir = $(localstatedir)/allfilters
  filterconfdir = $(sysconfdir)/filters
-@@ -931,16 +932,12 @@ install-exec-hook:
+@@ -1083,16 +1084,12 @@
  install-data-hook:
  	-$(mkinstalldirs) $(DESTDIR)$(filtersocketdir)
  	-$(mkinstalldirs) $(DESTDIR)$(allfiltersocketdir)
Index: patches/patch-ae
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-ae,v
retrieving revision 1.2
diff -u -r1.2 patch-ae
--- patches/patch-ae	10 Aug 2007 17:57:04 -0000	1.2
+++ patches/patch-ae	15 Mar 2010 16:50:14 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-ae,v 1.2 2007/08/10 17:57:04 jlam Exp $
 
---- courier/filters/filterctl.in.orig	2004-01-31 23:46:27.000000000 -0500
-+++ courier/filters/filterctl.in
-@@ -11,8 +11,9 @@ libexecdir="@libexecdir@"
+--- courier/filters/filterctl.in.orig	2004-02-01 04:46:27.000000000 +0000
++++ courier/filters/filterctl.in	2010-03-15 13:18:07.000000000 +0000
+@@ -11,8 +11,9 @@
  sysconfdir="@sysconfdir@"
  localstatedir="@localstatedir@"
  piddir="@piddir@"
Index: patches/patch-af
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-af,v
retrieving revision 1.3
diff -u -r1.3 patch-af
--- patches/patch-af	15 Oct 2007 15:37:14 -0000	1.3
+++ patches/patch-af	15 Mar 2010 16:50:14 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-af,v 1.3 2007/10/15 15:37:14 jlam Exp $
 
---- courier/filters/perlfilter/Makefile.in.orig	Sat Jul 21 20:31:15 2007
-+++ courier/filters/perlfilter/Makefile.in
-@@ -207,7 +207,8 @@ top_srcdir = @top_srcdir@
+--- courier/filters/perlfilter/Makefile.in.orig	2010-01-09 21:17:33.000000000 +0000
++++ courier/filters/perlfilter/Makefile.in	2010-03-15 13:18:07.000000000 +0000
+@@ -234,7 +234,8 @@
  EXTRA_DIST = perlfilter-wrapper.pl perlfilter-example.pl
  BUILT_SOURCES = filtersocketdir.h wrapperpl.h xsinit.c
  CLEANFILES = $(BUILT_SOURCES) permissions.dat
Index: patches/patch-ag
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-ag,v
retrieving revision 1.3
diff -u -r1.3 patch-ag
--- patches/patch-ag	19 Feb 2008 18:45:24 -0000	1.3
+++ patches/patch-ag	15 Mar 2010 16:50:14 -0000
@@ -1,7 +1,7 @@
 $NetBSD: patch-ag,v 1.3 2008/02/19 18:45:24 jlam Exp $
 
---- courier/module.esmtp/mkesmtpdcert.in.orig	2007-11-04 16:17:03.000000000 -0500
-+++ courier/module.esmtp/mkesmtpdcert.in
+--- courier/module.esmtp/mkesmtpdcert.in.orig	2007-11-04 21:17:03.000000000 +0000
++++ courier/module.esmtp/mkesmtpdcert.in	2010-03-15 13:18:07.000000000 +0000
 @@ -9,7 +9,13 @@
  # ESMTP STARTTLS.  Normally this script would get called by an automatic
  # package installation routine.
@@ -17,7 +17,7 @@
  then
  	test -x @OPENSSL@ || exit 0
  else
-@@ -32,7 +38,7 @@ cleanup() {
+@@ -32,7 +38,7 @@
  
  cd @mydatadir@
  
Index: patches/patch-ah
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-ah,v
retrieving revision 1.2
diff -u -r1.2 patch-ah
--- patches/patch-ah	10 Aug 2007 17:57:05 -0000	1.2
+++ patches/patch-ah	15 Mar 2010 16:50:14 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-ah,v 1.2 2007/08/10 17:57:05 jlam Exp $
 
---- courier/module.local/deliver.c.orig	2006-05-28 11:29:52.000000000 -0400
-+++ courier/module.local/deliver.c
-@@ -635,7 +635,7 @@ static int docommand(const char *extensi
+--- courier/module.local/deliver.c.orig	2010-01-13 01:32:02.000000000 +0000
++++ courier/module.local/deliver.c	2010-03-15 13:18:07.000000000 +0000
+@@ -649,7 +649,7 @@
  		const char *defaultmail,
  		int recursion_level)
  {
@@ -11,7 +11,7 @@
  const char *p;
  const char *hostp;
  pid_t	pid;
-@@ -727,7 +727,9 @@ const char *shell=getenv("SHELL");
+@@ -741,7 +741,9 @@
  	envs[17]=courier_malloc(strlen(shell)
  				+sizeof("SHELL="));
  	strcat(strcpy(envs[17], "SHELL="), shell);
Index: patches/patch-ai
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-ai,v
retrieving revision 1.4
diff -u -r1.4 patch-ai
--- patches/patch-ai	19 Feb 2008 18:45:24 -0000	1.4
+++ patches/patch-ai	15 Mar 2010 16:50:14 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-ai,v 1.4 2008/02/19 18:45:24 jlam Exp $
 
---- courier/module.local/local.c.orig	2007-10-16 22:04:01.000000000 -0400
-+++ courier/module.local/local.c
-@@ -747,6 +747,8 @@ const char *quota;
+--- courier/module.local/local.c	2007-10-17 03:04:01.000000000 +0100
++++ courier/module.local/local.c	2010-03-15 13:18:07.000000000 +0000
+@@ -747,6 +747,8 @@
  					strlen(argv[7])), "SENDER="),
  					argv[7]));
  
Index: patches/patch-aj
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-aj,v
retrieving revision 1.5
diff -u -r1.5 patch-aj
--- patches/patch-aj	19 Feb 2008 18:45:24 -0000	1.5
+++ patches/patch-aj	15 Mar 2010 16:50:14 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-aj,v 1.5 2008/02/19 18:45:24 jlam Exp $
 
---- courier/perms.sh.in.orig	2007-07-01 11:36:31.000000000 -0400
-+++ courier/perms.sh.in
-@@ -11,119 +11,41 @@ exec_prefix="@exec_prefix@"
+--- ../courier-0.64.1.orig/courier/perms.sh.in	2007-06-30 23:07:21.000000000 +0100
++++ courier/perms.sh.in	2010-03-15 13:18:07.000000000 +0000
+@@ -11,119 +11,41 @@
  datarootdir="@datarootdir@"
  
  PERMS="
@@ -122,7 +122,7 @@
  @datadir@/couriermlm		755
  
  @datadir@/couriermlm/adminrequest.tmpl	644
-@@ -191,11 +113,20 @@ do
+@@ -191,11 +113,20 @@
  	if test "$USER" = ""
  	then
  		USER="@mailuser@"
@@ -143,7 +143,7 @@
  	fi
  
  	case $FILE in
-@@ -216,26 +147,7 @@ do
+@@ -216,26 +147,7 @@
  	echo $FILE $MODE $USER $GROUP $SPECIAL
  done
  
Index: patches/patch-al
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-al,v
retrieving revision 1.2
diff -u -r1.2 patch-al
--- patches/patch-al	15 Oct 2007 15:37:14 -0000	1.2
+++ patches/patch-al	15 Mar 2010 16:50:14 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-al,v 1.2 2007/10/15 15:37:14 jlam Exp $
 
---- courier/courier.c.orig	Wed Jul 18 02:32:34 2007
-+++ courier/courier.c
-@@ -200,7 +200,7 @@ int main(int argc, char **argv)
+--- courier/courier.c.orig	2007-07-21 21:43:12.000000000 +0100
++++ courier/courier.c	2010-03-15 13:18:07.000000000 +0000
+@@ -200,7 +200,7 @@
  #endif
  				execl( DATADIR "/courierctl.start",
  					"courierctl.start", (char *)0);
Index: patches/patch-an
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-an,v
retrieving revision 1.3
diff -u -r1.3 patch-an
--- patches/patch-an	15 Oct 2007 15:37:15 -0000	1.3
+++ patches/patch-an	15 Mar 2010 16:50:14 -0000
@@ -1,7 +1,7 @@
 $NetBSD: patch-an,v 1.3 2007/10/15 15:37:15 jlam Exp $
 
---- courier/webmlmd.C.orig	Thu Jul  5 01:47:38 2007
-+++ courier/webmlmd.C
+--- courier/webmlmd.C.orig	2009-11-08 18:14:47.000000000 +0000
++++ courier/webmlmd.C	2010-03-15 13:18:07.000000000 +0000
 @@ -22,6 +22,7 @@
  #include	<string.h>
  #include	<signal.h>
@@ -10,11 +10,10 @@
  #include	<sys/types.h>
  #include	<sys/stat.h>
  #include        <sys/socket.h>
-@@ -40,6 +41,39 @@
- #include	<fstream>
+@@ -41,6 +42,39 @@
  #include	<sstream>
  #include	<map>
-+
+ 
 +#if defined(__FreeBSD_version) && (__FreeBSD_version < 500029)
 +#include	<cwchar>
 +namespace std {
@@ -47,6 +46,7 @@
 +	};
 +}
 +#endif
- 
++
  #include	"cmlm.h"
  #include	"cmlmcmdmisc.h"
+ #include	"webmlmd.H"
Index: patches/patch-ax
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-ax,v
retrieving revision 1.1
diff -u -r1.1 patch-ax
--- patches/patch-ax	19 Feb 2008 18:45:24 -0000	1.1
+++ patches/patch-ax	15 Mar 2010 16:50:14 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-ax,v 1.1 2008/02/19 18:45:24 jlam Exp $
 
---- courier/module.esmtp/Makefile.in.orig	2007-11-17 19:49:38.000000000 -0500
-+++ courier/module.esmtp/Makefile.in
-@@ -870,17 +870,11 @@ install-data-local:
+--- courier/module.esmtp/Makefile.in.orig	2010-01-09 21:17:54.000000000 +0000
++++ courier/module.esmtp/Makefile.in	2010-03-15 13:18:07.000000000 +0000
+@@ -955,17 +955,11 @@
  	test -f $(DESTDIR)$(sbindir)/courieresmtpd && exit 0; $(mkinstalldirs) $(DESTDIR)$(sbindir) || :; rm -f $(DESTDIR)$(sbindir)/courieresmtpd && $(LN_S) $(moduledir)/courieresmtpd $(DESTDIR)$(sbindir)/courieresmtpd
  	-$(mkinstalldirs) $(DESTDIR)$(bindir)
  	test -f $(DESTDIR)$(bindir)/addcr && exit 0; rm -f $(DESTDIR)$(bindir)/addcr && $(LN_S) $(moduledir)/addcr $(DESTDIR)$(bindir)/addcr
Index: patches/patch-ay
===================================================================
RCS file: /cvsroot/pkgsrc/mail/courier-mta/patches/patch-ay,v
retrieving revision 1.1
diff -u -r1.1 patch-ay
--- patches/patch-ay	19 Feb 2008 18:45:24 -0000	1.1
+++ patches/patch-ay	15 Mar 2010 16:50:14 -0000
@@ -1,8 +1,8 @@
 $NetBSD: patch-ay,v 1.1 2008/02/19 18:45:24 jlam Exp $
 
---- webadmin/Makefile.in.orig	2007-11-17 19:53:34.000000000 -0500
-+++ webadmin/Makefile.in
-@@ -603,9 +603,6 @@ uninstall-am: uninstall-webadminDATA uni
+--- webadmin/Makefile.in.orig	2010-01-09 21:20:37.000000000 +0000
++++ webadmin/Makefile.in	2010-03-15 13:18:07.000000000 +0000
+@@ -679,9 +679,6 @@
  
  
  install-exec-hook:
